#!/bin/bash

echo Note! It is recommended to clear Syslog before benchmarking. This operation makes sure the results are absolutely correct.
echo Note! In order to use these timestamps, SUT\'s clock must be synchronized.
echo

echo Timestamp for server log analysis [begin]: \"$(date +'%Y %b %d %X')\"
echo Timestamp for load monitor log analysis [begin]: \"$(date)\"
echo

echo Running for $1 seconds from $4 to $3:
RATE=$2

echo Warning, removing old 'results.csv' file.
rm -f results.csv

echo Run for $1 seconds at $RATE CPS.
./sipp -sf duac.xml -trace_stat -bg -inf database.csv -stf results.csv -r $RATE -m $[$1*$RATE] -i $4 $3 &
sleep $[$1 + 20] && killall sipp && sleep 5
RESULT=$(./sippan.py results.csv $1)
echo Realised CPS rate was: $RESULT.
echo

echo Timestamp for server log analysis [end]: \"$(date +'%Y %b %d %X')\"
echo Timestamp for load monitor log analysis [end]: \"$(date)\"

