#!/bin/bash

echo Running for $1 seconds from $5 to $4:
echo Start at $2 CPS, increment by $3.
RATE=$2

echo Warning, removing test-\*.csv files.
rm -f test-[0-9]*.csv

while :; do
  echo Run for $1 seconds at $RATE CPS.
  ./sipp -sf duac.xml -trace_stat -bg -inf database.csv -stf test-$RATE.csv -r $RATE -m $[$1*$RATE] -i $5 $4 &
  sleep $[$1 + 26] && killall sipp && sleep 5
  RESULT=$(./sippan.py test-$RATE.csv $1)
  echo We got $RESULT.
  if [ "$RESULT" -ge "$RATE" ]; then
    RATE=$[$RATE + $3]
  else
    echo Stopped at $RATE CPS.
    echo For benchmarking, use $[$RATE * 100 / 110] CPS.
    exit 1;
  fi
done
