#!/bin/bash

#TODO: check whether openser is already running

ORIG_DIR=`pwd`
INSTALL_DIR=${ORIG_DIR}/sut
LOADGEN=${ORIG_DIR}/ml
LOADGENITER=$5
SUTBIN=${INSTALL_DIR}/sbin/openser
SUTCFG=${INSTALL_DIR}/etc/openser/demo.cfg
SUTIP=$1
SUTTHREADS=$2
SUTMEM=$3
CPULOAD=$4
VMSTAT=${ORIG_DIR}/loadmon.sh
VMSTATOUT=$6

: ${6?"Usage: $0 <server_ip> <server_threads> <server_memory> <cpu_load> <cpu_iter> <cpu_load_monitor_output_file>"}

if [ ! -e "${SUTBIN}" ]
then
	echo "SUT not installed! Run ./build.sh first."
	exit 1
fi
if [ ! -e "${LOADGEN}" ]
then
	echo "Load generator not compiled! Run ./build.sh first."
	exit 1
fi

if [ ! -e "${SUTCFG}.orig" ]
then
	cp "$SUTCFG" "${SUTCFG}.orig"
fi
sed -e "s#children=4#children=${SUTTHREADS}#g" < "${SUTCFG}.orig" > "${SUTCFG}"

export SYSLOG=1
"${VMSTAT}" > "${VMSTATOUT}" &
"${LOADGEN}" -i ${LOADGENITER} -l ${CPULOAD} > /dev/null 2>&1 &
"${SUTBIN}" -l ${SUTIP} -m ${SUTMEM} -f "${SUTCFG}"

