import sys

def numify(L):
    return [int(x) for x in L]

def read_log(logname):
    # Not very efficient, I think
    s = file(logname, 'r').read()
    L = s.splitlines()
    hdr = L[1].split()
    fields = dict(map(None, [x.strip() for x in hdr], range(len(hdr))))
    l = [x.split() for x in L if len(x.split()) == len(fields) and x.strip()[0].isdigit()]
    i = [numify(z) for z in l]
    return (fields, i)

def debug_print(log):
    print log[0]
    for i in log[1]:
        print i

def max(log, col):
    retval = 0
    for row in log[1]:
        if row[log[0][col]] > retval:
            retval = row[log[0][col]]
    return retval

def avg(log, col):
    retval = 0
    for row in log[1]:
        retval += row[log[0][col]]
    retval /= len(log[1])
    return retval

def percentile(log, col, P):
    mid = (len(log[1])*P)/100
    cols = [x[log[0][col]] for x in log[1]]
    cols.sort()
    return cols[mid]

if len(sys.argv) != 3:
    print "Error"
    sys.exit()
log = read_log(sys.argv[1])
for i in sys.argv[2].split(","):
        print "===", i, "==="
	print "Maximum:", max(log, i)
	print "Average:", avg(log, i)
	print "Median: ", percentile(log, i, 50)
	print "90th p: ", percentile(log, i, 90)
